Subject: extending ndo_add_rx_vxlan_port

From: Or Gerlitz <[email-masked]>
Date: Sun, 27 Oct 2013 17:21:51 +0200

Hi,

So with commit 53cf527513eed6e7170e9dceacd198f9267171b0 "vxlan: Notify 
drivers for listening UDP port changes" drivers that have HW offloads 
for vxlan can be notified on which UDP port to listen. Taking this 
further, some HW may need to know the multicast address and/or the VNID 
used by the vxlan instance/s set above them. In that respect, do we 
prefer to extend ndo_add_rx_vxlan_port() or introduce new ndo?

Or.